CVE-2004-0821
CVSS7.2
发布时间 :2004-12-31 00:00:00
修订时间 :2011-03-07 21:16:18
NMCOS    

[原文]The CFPlugIn in Core Foundation framework in Mac OS X allows user supplied libraries to be loaded, which could allow local users to gain privileges.


[CNNVD]Mac OS X CoreFoundation本地权限提升漏洞(CNNVD-200412-949)

        
        Mac OS X是一款使用在Mac机器上的操作系统,基于BSD系统。
        Apple Mac OS X CoreFoundation存在库装载处理问题及缓冲区溢出,本地攻击者可以利用这个漏洞获得ROOT权限
        Apple报告本地用户可以使用CoreFoundation CFPlugIn的应用程序装载任意用户提供的库而获得ROOT权限[CVE: CAN-2004-0821] 。
        另外本地用户可以修改部分环境变量在CoreFoundation中触发缓冲区溢出,可以以ROOT进程权限执行任意指令[CVE: CAN-2004-0822]。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x_server:10.3.4Apple Mac OS X Server 10.3.4
cpe:/o:apple:mac_os_x:10.3.5Apple Mac OS X 10.3.5
cpe:/o:apple:mac_os_x:10.2.8Apple Mac OS X 10.2.8
cpe:/o:apple:mac_os_x_server:10.3.5Apple Mac OS X Server 10.3.5
cpe:/o:apple:mac_os_x_server:10.2.8Apple Mac OS X Server 10.2.8
cpe:/o:apple:mac_os_x:10.3.4Apple Mac OS X 10.3.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0821
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0821
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-949
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/704110
(VENDOR_ADVISORY)  CERT-VN  VU#704110
http://www.auscert.org.au/render.html?it=4363
(VENDOR_ADVISORY)  AUSCERT  ESB-2004.0559
http://xforce.iss.net/xforce/xfdb/17291
(PATCH)  XF  macos-corefoundation-gain-privileges(17291)
http://www.securityfocus.com/bid/11135
(PATCH)  BID  11135
http://secunia.com/advisories/12491/
(VENDOR_ADVISORY)  SECUNIA  12491
http://www.ciac.org/ciac/bulletins/o-212.shtml
(VENDOR_ADVISORY)  CIAC  O-212
http://www.auscert.org.au/render.html?it=4363
(UNKNOWN)  APPLE  APPLE-SA-0024-09-07

- 漏洞信息

Mac OS X CoreFoundation本地权限提升漏洞
高危 设计错误
2004-12-31 00:00:00 2005-10-20 00:00:00
本地  
        
        Mac OS X是一款使用在Mac机器上的操作系统,基于BSD系统。
        Apple Mac OS X CoreFoundation存在库装载处理问题及缓冲区溢出,本地攻击者可以利用这个漏洞获得ROOT权限
        Apple报告本地用户可以使用CoreFoundation CFPlugIn的应用程序装载任意用户提供的库而获得ROOT权限[CVE: CAN-2004-0821] 。
        另外本地用户可以修改部分环境变量在CoreFoundation中触发缓冲区溢出,可以以ROOT进程权限执行任意指令[CVE: CAN-2004-0822]。
        

- 公告与补丁

        厂商补丁:
        Apple
        -----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://www.apple.com/support/downloads/

        Mac OS X v10.3.5 "Panther":
        下载文件名: "SecUpd2004-09-07PanMClient.dmg"
        SHA-1数字签名: aa8bc2d78c37778cca3619f42dafdee5775bc7a6
        Mac OS X v10.3.4 "Panther":
        下载文件名: "SecUpd2004-09-07PanClient.dmg"
        SHA-1数字签名: a37cd43439f4e82d05d07924101e370d96dc41a9
        Mac OS X v10.2.8 "Jaguar":
        下载文件名: "SecUpd2004-09-07JagClient.dmg"
        SHA-1数字签名: 6f0ee457b5a729ef68fb50fc55417db400b52365
        Mac OS X Server v10.3.5 "Panther":
        下载文件名: "SecUpdSrvr2004-09-07PanM.dmg"
        SHA-1数字签名: 8766c93d5675f8d1d9ebec67e80b7a94d16a1858
        Mac OS X Server v10.3.4 "Panther":
        下载文件名: "SecUpdSrvr2004-09-07PanL.dmg"
        SHA-1数字签名: 7f4674515ff0172a2df9a451240410ac24459753
        Mac OS X Server v10.2.8 "Jaguar"
        下载文件名: "SecUpdSrvr2004-09-07Jag.dmg"
        SHA-1数字签名: 099290119b6f47d935e8d064c36a90b0ad7acaf8

- 漏洞信息

9757
Apple Mac OS X CoreFoundation CFPlugIn Local Privilege Escalation
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

Mac OS X CoreFoundation contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when privileged programs using the CoreFoundation CFPlugIn facilities occurs. A specially crafted bundle could include directions to automatically load malicious plugin executables in programs. This flaw may lead to a loss of integrity.

- 时间线

2004-09-07 Unknow
Unknow Unknow

- 解决方案

Upgrade using the Security Update 2004-09-07 from Apple or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Apple CoreFoundation Privileged Plug-In Execution Vulnerability
Design Error 11135
No Yes
2004-09-07 12:00:00 2009-07-12 07:06:00
Announced by Apple and credited to Kikuchi Masashi <kik@ms.u-tokyo.ac.jp>.

- 受影响的程序版本

Apple Mac OS X Server 10.3.5
Apple Mac OS X Server 10.3.4
Apple Mac OS X Server 10.2.8
Apple Mac OS X 10.3.5
Apple Mac OS X 10.3.4
Apple Mac OS X 10.2.8

- 漏洞讨论

It is reported that bundles using CoreFoundation can be made to automatically load plug-in executables using the CFPlugIn feature. This is a security vulnerability allowing for local privilege escalation as malicious executable plug-ins can be loaded by a privileged application. At this time, it is not clear whether the application targeted must be in the form of a bundle or if the attacker can perform the attack against any privileged application with a custom bundle.

Users are advised to apply the patch provided by Apple, which changes the feature to prevent loading of plug-ins automatically if an executable is already loaded.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

Apple has released an advisory (APPLE-SA-0024-09-07) along with fixes to address this, and many other issues. Please see the referenced advisory for further information.


Apple Mac OS X 10.2.8

Apple Mac OS X Server 10.2.8

Apple Mac OS X 10.3.4

Apple Mac OS X Server 10.3.4

Apple Mac OS X 10.3.5

Apple Mac OS X Server 10.3.5

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站